/* prototype filter program - line (actually record) oriented */
/* this flavour sorts out kinky RSX records into line-by-line UNIX records */
/* this sub-flavour does no output */
#include <stdio.h>
#include <algol68.h>
#define BUFSIZ 4096
char buffer[BUFSIZ];
main()
BEGIN
	WHILE	(!feof(stdin))
	DO	IF	(fgetss(buffer,BUFSIZ,stdin)!=NULL)
		THEN	/* normal processing */
		ELSE	IF	(ferror(stdin))
			THEN	error("Can't read\n");
			FI
		FI
	OD
END

/* end: filterin.c */
